<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:th="http://www.thymeleaf.org">
<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta2/dist/css/bootstrap.min.css" rel="stylesheet"
      integrity="sha384-BmbxuPwQa2lc/FVzBcNJ7UAyJxM6wuqIj61tLrc4wSX0szH/Ev+nYRRuWlolflfl" crossorigin="anonymous">
<head>
    <title>Spring Boot</title>
</head>
<body>
<h3>Access Denied Exception</h3>
<div>
    Logged in user: <span th:text="*{login} "></span><span
        th:text="*{#request.userPrincipal.name}"></span>
    <form th:action="@{/logout}" method="POST">
        <input type="submit" value="Logout"/>
    </form>
</div>
<p class="error" th:text="${errorMsg}">Error</p>
</body>
</html>   